Detail filters 2

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/filter

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • queries array[object]
      Hide queries attributes Show queries attributes object
      • hvalue string
      • value string
      • id integer(int64)
      • attribute integer(int32)
      • operator integer(int32)
    • subFilters array[object]
    • isAnd boolean
    • name string
    • id integer(int64)
    • type string

      Values are Company, CustomReport, Delay, Manual, Rule, or Temporary.

    • description string
GET /company/{companyId}/filter
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/filter' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "queries": [
      {
        "hvalue": "string",
        "value": "string",
        "id": 42,
        "attribute": 42,
        "operator": 42
      }
    ],
    "subFilters": [
      {}
    ],
    "isAnd": true,
    "name": "string",
    "id": 42,
    "type": "Company",
    "description": "string"
  }
]